/*
 *  Framebuffer routines
 */

//#define FBADDR 0x8e001020
#define FBADDR 0x20001020
#define FBWIDTH  176 /* framebuffer width  */
#define FBHEIGHT 220 /* framebuffer height */
#define FBPITCH  FBWIDTH

/* convert RGB24 to RGB16 */
#define RGB16(r,g,b) ((((r) & 0x1f) << 11) | \
		      (((g) & 0x3f) <<  5) | \
		      (((b) & 0x1f)))

typedef unsigned short fb_pix_t;

void lcd_off(void);

void clear_fb(fb_pix_t color);

void console_init();

int putchar(int c);

